/*
******************************************************************

CSS for mobile/responsive navigation

(c) sinntun.codes
******************************************************************
*/

.mobile-div {
  position: fixed;
  height: 0;
  width: 100vw;
  overflow: hidden;
  z-index: 99999999;
  top: 73px;
  left: 0;
  transition: ease-in-out 0.6s;
}

.mobile-menu {
  height: auto;
  width: auto;
  text-align: center;
  display: block;
}

.menu-line {
  line-height: 40px;
  width: 100%;
  height: 4px;
  border-radius: 3px;
  margin-bottom: 6px;
  transition: ease 0.3s;
}

@media only screen and (max-width: 1024px) {
  #page-canvas {
    transition: ease-in-out 0.4s;
    left: 0;
    position: absolute;
  }

  .menu-trigger {
    display: block !important;
  }
}

/*** menu-trigger
******************************************************************************* */

.menu-trigger {
  display: none;
  height: 29px;
  width: 30px;
  cursor: pointer;
  transition: ease-in 0.3s;
  position: absolute;
  top: 20px;
  right: 25px;
}

.menu-trigger .menu-line {
  transition: ease-in 0.2s;
  width: 100%;
  height: 4px;
  border-radius: 15px;
  margin: 0 auto 5px;
}

.menu-trigger:hover .menu-line:nth-child(2) {
  width: 80%;
}

.menu-trigger.open .menu-line:nth-child(1) {
  transform: rotate(45deg);
  position: relative;
  top: 6px;
}

.menu-trigger.open .menu-line:nth-child(2) {
  display: none;
}

.menu-trigger.open .menu-line:nth-child(3) {
  transform: rotate(-45deg);
  position: relative;
  top: -3px;
}

.subnav-nav-trigger::before {
  font-family: "Font Awesome 6 Pro";
  font-weight: 900;
  content: "\f107";
}

.subnav-nav-trigger {
  height: 22px;
  cursor: pointer;
  float: left;
  font-size: 24px;
  text-align: center;
  overflow: hidden;
  padding: 5px;
  transition: ease-in-out 0.3s;
}

.subnav-nav-trigger.opened {
  transform: rotate(180deg);
}

.nav1-mobile-div {
  overflow: hidden;
  display: none;
}

.nav1-mobile {
  width: auto;
  text-align: left;
  box-sizing: border-box;
  padding: 25px 30px;
  height: auto;
  overflow: hidden;
}
.nav1-mobile li {
  width: 100vw;
}
.nav1-mobile-link {
  margin-right: 5px;
}

.nav1-mobile-div.menu-2 {
  position: fixed;
  top: 79px;
  height: 0px;
  transition: ease-in-out 0.4s;
  z-index: 999;
}

.nav1-mobile-div.menu-2 .nav1-mobile {
  height: auto;
  border: none;
}

.nav1-mobile-div.menu-2 .nav1-mobile-item {
  border: none;
}

.nav1-mobile-link.active span {
  font-weight: 700;
}

.nav1-mobile-div.menu-1 {
  position: fixed;
  width: 100vw;
  height: calc(100vh - 80px);
  top: 80px;
  right: -100vw;
  transition: ease-in-out 0.4s;
}

.nav1-mobile-div.menu-2 {
  position: fixed;
  width: 100vw;
  height: 0px;
  top: 80px;
  right: 0;
  transition: ease-in-out 0.4s;
}

.nav1-mobile-div.menu-3 {
  position: fixed;
  width: 60vw;
  height: 100vh;
  top: 0;
  right: -60vw;
  transition: ease-in-out 0.4s;
}
